Bug 32440 - RFE: email addresses / usernames should not be case sensitive!
RFE: email addresses / usernames should not be case sensitive!
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
i386 Linux
high Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
: FutureFeature
: 41371 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-03-20 17:23 EST by Matt Domsch
Modified: 2007-03-26 23:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-11-13 06:54:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2001-03-20 17:23:26 EST
Since bugzilla uses email addresses as usernames, and email addresses are 
by nature not case sensitive, bugzilla should never treat usernames or 
email addresses as case sensitive.  e.g. when adding someone to the cc: 
list of an issue, if I put in the address edward_blazek@dell.com, it's 
rejected as not a bugzilla user.  If instead I put Edward_Blazek@dell.com, 
it takes it and happily sends the email.  This is broken.  I should not 
have to know how a user capitalized their email address when creating a 
bugzilla account in order to cc: them on a bug.
Comment 1 David Lawrence 2001-03-21 10:48:10 EST
This is indeed an issue and is part of the original design/code. I am marking
this as an RFE and will definitely fix this as soon as release is done.
Comment 2 Aleksey Nogin 2002-11-13 06:54:26 EST
*** Bug 41371 has been marked as a duplicate of this bug. ***
Comment 3 David Lawrence 2002-12-06 15:33:44 EST
I have spoken with the Bugzilla community and the consensus is to leave it the
way it is due to email standards. 


        Except as noted, alphabetic strings may be represented in  any
        combination of upper and lower case.  The only syntactic units

     August 13, 1982              - 14 -                      RFC #822

     Standard for ARPA Internet Text Messages

        which requires preservation of case information are:

                    -  text
                    -  qtext
                    -  dtext
                    -  ctext
                    -  quoted-pair
                    -  local-part, except "Postmaster"

        When matching any other syntactic unit, case is to be ignored.
        For  example, the field-names "From", "FROM", "from", and even
        "FroM" are semantically equal and should all be treated ident-

        When generating these units, any mix of upper and  lower  case
        alphabetic  characters  may  be  used.  The case shown in this
        specification is suggested for message-creating processes.

        Note:  The reserved local-part address unit, "Postmaster",  is
               an  exception.   When  the  value "Postmaster" is being
               interpreted, it must be  accepted  in  any  mixture  of
               case, including "POSTMASTER", and "postmaster".

So from this I gather that the username portion of the email address should 
treated as case-sensitive and the domaim part as in-sensitive. It is true that
most MTA's actually munge the address to make Dkl@Redhat.Com and dkl@redhat.com
go to the same place. 

Note You need to log in before you can comment on or make changes to this bug.